diff --git a/spring-boot-actuator/src/main/java/org/springframework/boot/actuate/autoconfigure/CacheStatisticsAutoConfiguration.java b/spring-boot-actuator/src/main/java/org/springframework/boot/actuate/autoconfigure/CacheStatisticsAutoConfiguration.java
index 904d9889577..4719ea719d1 100644
--- a/spring-boot-actuator/src/main/java/org/springframework/boot/actuate/autoconfigure/CacheStatisticsAutoConfiguration.java
+++ b/spring-boot-actuator/src/main/java/org/springframework/boot/actuate/autoconfigure/CacheStatisticsAutoConfiguration.java
@@ -18,6 +18,8 @@
 
 import javax.cache.Caching;
 
+import com.hazelcast.core.IMap;
+import com.hazelcast.spring.cache.HazelcastCache;
 import net.sf.ehcache.Ehcache;
 
 import org.springframework.boot.actuate.cache.CacheStatistics;
@@ -41,8 +43,6 @@
 import org.springframework.context.annotation.Bean;
 import org.springframework.context.annotation.Configuration;
 
-import com.hazelcast.core.IMap;
-
 /**
  * {@link EnableAutoConfiguration Auto-configuration} for {@link CacheStatisticsProvider}
  * beans.
@@ -79,7 +79,7 @@ public EhCacheStatisticsProvider ehCacheCacheStatisticsProvider() {
 	}
 
 	@Configuration
-	@ConditionalOnClass(IMap.class)
+	@ConditionalOnClass({ IMap.class, HazelcastCache.class} )
 	static class HazelcastCacheStatisticsConfiguration {
 
 		@Bean
